package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Entinf;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EntinfMapper {

    int insert(Entinf record);

    int insertSelective(Entinf record);

    int updateByPrimaryKeySelective(Entinf record);

    int updateByPrimaryKey(Entinf record);

    int deleteByPrimaryKey(Entinf record);

    int deleteByIds(Collection<Object> collection);

    Entinf selectByPrimaryKey(Entinf record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Entinf> dyncRead(Map<String, Object> dyncMap);

    List<Entinf> selectByTrninr(@Param("trninr") String trninr);

    int selectCountByTrninr(@Param("trninr") String trninr) ;
}